\ Do not use this file except in compliance with the License. You may
\ obtain a copy of the License at http://www.microcore.org/License/
\ Software distributed under the License is distributed on an "AS IS" basis,
\ WITHOUT WARRANTY OF ANY KIND, either express or implied.
\ See the License for the specific language governing rights and limitations
\ under the License.
\
\ The Original Code is: MicroCore LOAD_CORETEST.F 1.10
\
\ The Initial Developer of the Original Code is Klaus.Schleisiek AT hamburg.de.
\
\ Introduction  see: information/uCore_Introduction.pdf
\ Tools         see: information/uCore_Implementation.pdf
\ Versions      see: uCross_Versions.txt
\ License       see: information/uCore_License.pdf
\ Conventions   see: information/uCore_Conventions.pdf
\ Contributors  see: information/uCore_Contributors.pdf
\ Philosophy    see: information/uCore_Philosophy.pdf
\
\ MicroCore load screen for the pre-incrementing core
\ used to generate PROGRAM.VHD for the COMP_XXXXX.DO macros of the simulator
\
Forth definitions decimal

False Constant DEBUGGING immediate     \ Include debug words of the cross-compiler
False Constant CASEROM immediate       \ VHDL model used to represent program memory

   12 Constant #prog_addr_width        \ Limit size of Target program memory image to a sensible number
   12 Constant #data                   \ CONSTANTS.VHD at most 4096 addresses for 12 bits, etc. This value is freely scaleable
                                  \ bug\ works for at most 31. One bit used for tagging in the cross-compiler.
    8 Constant #code                   \ CONSTANTS.VHD >> When changed, #literal has to be adapted as well <<

include microcore.f                    \ the cross-compiler
include disasm.f                       \ the disassembler

Create image                           \ a "marker". See MICROCORE.F for its use

include coretest.f

VHDL-file program.VHD                  \ save a VHDL "code-Rom"
